function kaist_eval_full_mat(dtDir,IoU_thre)

res_gt = {'gt_reasonable.mat','gt_day.mat','gt_night.mat','gt_near.mat','gt_medium.mat','gt_far.mat','gt_none.mat','gt_partial.mat','gt_heavy.mat'};
exps = {
  'Reasonable-all',       'test-all',       [55 inf],    {{'none','partial'}}
  'Reasonable-day',    'test-day',    [55 inf],    {{'none','partial'}}
  'Reasonable-night', 'test-night', [55 inf],    {{'none','partial'}}
  'Scale=near',              'test-all',       [115 inf], {{'none'}}
  'Scale=medium',      'test-all',        [45 115],   {{'none'}}
  'Scale=far',                  'test-all',       [1 45],   {{'none'}}
  'Occ=none',               'test-all',       [1 inf],      {{'none'}}
  'Occ=partial',             'test-all',       [1 inf],      {{'partial'}}
  'Occ=heavy',              'test-all',        [1 inf],     {{'heavy'}}
  };
for ie = 1:9
    res = run_exp_mat(exps(ie,:),res_gt{1,ie},IoU_thre,dtDir);
end

end

function res = run_exp_mat(iexp,res,IoU_thre,dtDir)

thr =IoU_thre;
mul = 0;
ref = 10.^(-2:.25:0);

% improved annotations
load_gt = load(['.\GroudTruth_gt\',res]);
gt = load_gt.gt;
load_dt = load(dtDir);
dt = load_dt.dt;
if strcmp(res,'gt_day.mat')
    dt = dt(1,1:1455);
end
if strcmp(res,'gt_night.mat')
    dt = dt(1,1456:2252);
end
[gt,dt] = bbGt('evalRes',gt,dt,thr,mul);
[fp,tp,score,miss] = bbGt('compRoc',gt,dt,1,ref);
miss_imp=exp(mean(log(max(1e-10,1-miss))));
roc_imp=[score fp tp];

fprintf('%-30s \t log-average miss rate = %02.2f%%  recall = %02.2f%% \n', iexp{1},  miss_imp*100, roc_imp(end, 3)*100);

end
